Subject: Re: bug#14780: Acknowledgement (Regression: C-n doesn't go to next line under simple circumstances)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Jul 2013 22:14:28 +0300

> Date: Fri, 19 Jul 2013 14:37:57 -0400
> From: Barry OReilly <[email-masked]>
> 
> Git bisected the repo at Savannah to:
> 
> 15cdf9527f5a78a5ea9aa0ba3fee8d7b84c3acf9 is the first bad commit
> commit 15cdf9527f5a78a5ea9aa0ba3fee8d7b84c3acf9
> Author: Eli Zaretskii <[email-masked]>
> Date:   Mon Dec 3 22:48:12 2012 +0200
> 
>     Fix bug #13055 with cursor positioning inside scroll-margin.
> 
>      src/xdisp.c (redisplay_window): If the cursor is visible, but inside
>      the scroll margin, move point outside the margin.

I cannot reproduce the bug on my system.  Unless I don't understand
what you mean by "cannot reach the '-' character".  I can reach every
line in the buffer by using C-n, using your recipe (or what I
understand of it).